Bug 186868 - kmail does not show address book when selecting email addresses
kmail does not show address book when selecting email addresses
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
http://bugs.kde.org/show_bug.cgi?id=1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 00:52 EST by Mathieu Brabant
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-03 08:52:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix kmail recipients bug (1.82 KB, patch)
2006-03-27 00:52 EST, Mathieu Brabant
no flags Details | Diff
New kdepim spec file to apply patch for this bug (20.20 KB, text/plain)
2006-03-27 00:55 EST, Mathieu Brabant
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 121337 None None None Never

  None (edit)
Description Mathieu Brabant 2006-03-27 00:52:11 EST
Description of problem:
kmail 1.9.1 (of kdepim-3.5.1-1.2) contains a bug that prevents the address book
from being shown when composing an email and selecting addresses to add.  I've
seen this bug on 3 (out of 3) different computers, so I'm guessing that it is
affecting alot of people.  In the KDE bug tracking system, it is known as bug
#121337.

Version-Release number of selected component (if applicable):
Qt: 3.3.5
KDE: 3.5.1-2.3 Red Hat
KMail: 1.9.1
kdepim RPM: 3.5.1-1.2

How reproducible:
Everytime after having opened one "Composer" window.
Restarting KMail fixes the problem (until another composer window is opened).

Steps to Reproduce:
1. Launch KMail
2. Click "File - New - New Message"
3. Click "Select..."
4. Select emails to add or just close "Select recipient" window
5. Send email or just close Composer window
6. Click "File - New - New Message"
7. Click "Select..."
  
Actual results:
Only recent addresses are shown, even when "Address Book - All" is selected in
"Select recipient" window.

Expected results:
Addresses from the address book should be shown.

Additional info:
I created a patch for file kmail/recipientspicker.cpp.  It is a diff between
revision 497767 and 516198.  It fixes KDE bug #121337 and 122218. See
http://websvn.kde.org/branches/KDE/3.5/kdepim/kmail/recipientspicker.cpp?rev=516198&r1=497767&view=log
for details.

I also updated the SPEC file to apply this patch and versioned it 3.5.1-1.3.

Rebuilding kdepim with this new SPEC file and patch fixed the problem on my system.
Comment 1 Mathieu Brabant 2006-03-27 00:52:12 EST
Created attachment 126790 [details]
Patch to fix kmail recipients bug
Comment 2 Mathieu Brabant 2006-03-27 00:55:17 EST
Created attachment 126791 [details]
New kdepim spec file to apply patch for this bug

Modifications made from original 3.5.1-1.2 spec file :
- Added Patch5 to apply fix for this bug.
- Added an entry in changelog.
Comment 3 Ngo Than 2006-05-03 08:52:05 EDT
it's in kdepim-3.5.2. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.